Get canonical reporting detail for one media buy
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"availability": "supported",
"health": "waiting",
"sourceProvenance": "acquired",
"obligations": [
{
"obligationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaBuyIds": [
"<string>"
],
"mediaBuyIdsTruncated": false,
"coverage": "full",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z",
"nextExpectedAt": "2023-11-07T05:31:56Z",
"requiredFinality": "snapshot",
"health": "waiting",
"missingFirstReport": true,
"issue": {
"id": "<string>",
"code": "REPORT_OVERDUE",
"responsibleParty": "seller",
"recommendedAction": "wait_for_retry"
},
"latestRevision": {
"revisionId": "<string>",
"kind": "snapshot",
"rowCount": 4503599627370495,
"controlTotalCount": 4503599627370495,
"dataThrough": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z"
}
}
],
"obligationsTruncated": false,
"relatedMediaBuyIds": [
"<string>"
],
"relatedMediaBuyIdsTruncated": false,
"lastSuccessfulRevision": {
"revisionId": "<string>",
"kind": "snapshot",
"rowCount": 4503599627370495,
"controlTotalCount": 4503599627370495,
"dataThrough": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z"
},
"freshness": "current",
"dataThrough": "2023-11-07T05:31:56Z",
"nextExpectedAt": "2023-11-07T05:31:56Z",
"actions": {
"refreshCanonicalStatus": {
"available": false,
"reason": "adapter_pending"
},
"readCurrentSellerStatus": {
"available": false,
"reason": "adapter_pending"
},
"replayRetainedRevision": {
"available": false,
"reason": "adapter_pending"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get canonical reporting detail for one media buy
Read-only canonical obligation, health, and retained revision evidence for one seller-scoped media buy.
GET
/
media-buys
/
{mediaBuyId}
/
reporting
Get canonical reporting detail for one media buy
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/media-buys/{mediaBuyId}/reporting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"availability": "supported",
"health": "waiting",
"sourceProvenance": "acquired",
"obligations": [
{
"obligationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaBuyIds": [
"<string>"
],
"mediaBuyIdsTruncated": false,
"coverage": "full",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z",
"nextExpectedAt": "2023-11-07T05:31:56Z",
"requiredFinality": "snapshot",
"health": "waiting",
"missingFirstReport": true,
"issue": {
"id": "<string>",
"code": "REPORT_OVERDUE",
"responsibleParty": "seller",
"recommendedAction": "wait_for_retry"
},
"latestRevision": {
"revisionId": "<string>",
"kind": "snapshot",
"rowCount": 4503599627370495,
"controlTotalCount": 4503599627370495,
"dataThrough": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z"
}
}
],
"obligationsTruncated": false,
"relatedMediaBuyIds": [
"<string>"
],
"relatedMediaBuyIdsTruncated": false,
"lastSuccessfulRevision": {
"revisionId": "<string>",
"kind": "snapshot",
"rowCount": 4503599627370495,
"controlTotalCount": 4503599627370495,
"dataThrough": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z"
},
"freshness": "current",
"dataThrough": "2023-11-07T05:31:56Z",
"nextExpectedAt": "2023-11-07T05:31:56Z",
"actions": {
"refreshCanonicalStatus": {
"available": false,
"reason": "adapter_pending"
},
"readCurrentSellerStatus": {
"available": false,
"reason": "adapter_pending"
},
"replayRetainedRevision": {
"available": false,
"reason": "adapter_pending"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Media buy id at the storefront grain (sf_mb_…).
Minimum string length:
1Query Parameters
Buyer customer id that owns this media-buy id on the seller storefront. Required to preserve the canonical account boundary.
Required range:
0 < x <= 9007199254740991Response
Get canonical reporting detail for one media buy
Available options:
supported, unsupported Available options:
waiting, healthy, delayed, action_required, complete Available options:
acquired, unsupported Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
current, stale Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes